## cabletv-1.3.9.tar.gz

=== bttv/Makefile ===
#################################################
# config

# 0: Temic PAL tuner
# 1: Philips PAL_I tuner
# 2: Philips NTSC tuner
# 3: Philips SECAM tuner
# 4: no tuner
# 5: Philips PAL tuner
# 6: Temic NTSC tuner
# 7: Temic PAL tuner
# TUNER=0
# Do not select the tuner type here!
# Edit the type argument for the tuner module in "update"!

# Module arguments are documented in MODULES

# 0:  Auto-Detect
# 1:  Miro
# 2:  Hauppauge (bt848)
# 3:  STB
# 4:  Intel
# 5:  Diamond
# 6:  AVerMedia
# 7:  MATRIX Vision MV-Delta
# 8:  FlyVideo
# 9:  TurboTV
# 10: Hauppauge (bt878)
# 11: Miro Pro
# 12: TV-Boostar
# 13: Hauppauge WinCam
# 14: MAXI
# 15: Terratec TerraTV+
# 16: Aimslab VHX
# 17: PXC200
# 18: AVermedia98
# 19: FlyVideo98 (newer FlyVideo cards)
CARD=0
# This can be set using module parameters too.


# uncomment this if you have a Hauppauge with MSP34xx sound decoder!
#MSP=-DRESET_MSP_HAUPPAUGE
# This is gone.  If you have i2c I/O errors or autodetect goes wrong,
# load the module with "card=2"


# change this to 0 if you have a plain Bt848 and NOT a Bt848A or higher 
# 0 == don't use PLL (plain Bt848, revision 17) 

# use 1 or 2 if you have a Bt848A, Bt849, Bt878, Bt879
# 1 == 28 MHz crystal installed
# 2 == 34 MHz crystal installed
PLL=-DUSE_PLL=0
# This can be set using module parameters too.


# Official major device number is 81
# Older kernels might have problems with such high numbers.
# But I rather recommend updating to kernel 2.0.31 or higher.
BTTV_MAJOR=81

# currently running kernel
CURRENT=$(shell uname -r)

# where the kernel sources are located
#KERNEL_LOCATION=/usr/src/kernel/2.0.35
#KERNEL_LOCATION=/usr/src/kernel/2.3.3
KERNEL_LOCATION=/usr/src/linux


#################################################
# some magic for using linux kernel settings
# when compiling module(s)

M_OBJS       = bttv.o msp3400.o tea6300.o tda8425.o tuner.o #i2c_chardev.o
MX_OBJS      = videodev.o i2c.o
EXTRA_CFLAGS = -DTUNER_DEFAULT=$(TUNER) -DCARD_DEFAULT=$(CARD)	\
	-DBTTV_MAJOR=$(BTTV_MAJOR) $(INTERFACE) $(MSP) $(PLL)	\
	 #-DVIDEODAT -DNODGA

here:
	DIR=`pwd`; (cd $(KERNEL_LOCATION); make SUBDIRS=$$DIR modules)
	@echo
	@echo '"make list" prints a list of supported cards'

list:
	grep "{ \"" bttv.c | perl -ne '/"([^"]+)"/;printf("card=%d - %s\n",$$i++,$$1)'

install:
	su -c "cp -v $(M_OBJS) $(MX_OBJS) /lib/modules/$(CURRENT)/misc"

clean:
	-rm -f $(M_OBJS) $(MX_OBJS) .*.o.flags *~

include $(KERNEL_LOCATION)/Rules.make
