=== debian/changelog ===
cabletv (1.3-0.1) unstable; urgency=low

  * Initial Release.

 -- ranty <ranty@atdot.org>  Sun, 17 Mar 2002 14:34:21 +0100
