=== debian/control ===
Source: cabletv
Section: x11
Priority: optional
Maintainer: ranty <ranty@atdot.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: cabletv
Architecture: any
Depends: v4l-conf, ${shlibs:Depends}, debconf
Description: This is a cablecrypt decoder for linux
 This is a cablecrypt decoder for linux supporting these chips:
 .
  Brooktree BT878
  Brooktree BT879
  Brooktree BT848A
 .
 The decoder has been tested on a Hauppauge WinTV-PCI (BT878).
